summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-02-27 20:41:05 +0000
committer Eric Hameleers <alien@slackware.com>2023-02-27 22:41:55 +0100
commit750befe72ff6633b0448d104634f085e8a0dbcef (patch)
tree42b931369aa4824adf5df9fef654a388e54502b5 /source/x
parent610d6ea496dca00f1d0ce8baaff2202b5025bca9 (diff)
downloadcurrent-750befe72ff6633b0448d104634f085e8a0dbcef.tar.gz
current-750befe72ff6633b0448d104634f085e8a0dbcef.tar.xz
Mon Feb 27 20:41:05 UTC 202320230227204105
ap/sudo-1.9.13p2-x86_64-1.txz: Upgraded. d/make-4.4.1-x86_64-1.txz: Upgraded. d/strace-6.2-x86_64-1.txz: Upgraded. x/ibus-libpinyin-1.15.1-x86_64-2.txz: Rebuilt. [PATCH] fix awk scripts to work properly when used against sqlite 3.41.0. Thanks to lucabon.
Diffstat (limited to '')
-rw-r--r--source/x/ibus-libpinyin/96042887815b4700c7cafa64cf88942af438ea98.patch57
-rwxr-xr-xsource/x/ibus-libpinyin/ibus-libpinyin.SlackBuild8
2 files changed, 61 insertions, 4 deletions
diff --git a/source/x/ibus-libpinyin/96042887815b4700c7cafa64cf88942af438ea98.patch b/source/x/ibus-libpinyin/96042887815b4700c7cafa64cf88942af438ea98.patch
new file mode 100644
index 000000000..ee3f8b220
--- /dev/null
+++ b/source/x/ibus-libpinyin/96042887815b4700c7cafa64cf88942af438ea98.patch
@@ -0,0 +1,57 @@
+From 96042887815b4700c7cafa64cf88942af438ea98 Mon Sep 17 00:00:00 2001
+From: Dominique Leuenberger <dimstar@opensuse.org>
+Date: Fri, 24 Feb 2023 13:38:56 +0100
+Subject: [PATCH] build: fix awk scripts to work properly when used againts
+ sqlite 3.41.0
+
+The SQL standard requires double-quotes around identifiers and
+single-quotes around string literals. For example:
+
+ "this is a legal SQL column name"
+ 'this is an SQL string literal'
+
+With sqlite 3.41.0, this is being enforced on the CLI
+---
+ data/english.awk | 8 ++++----
+ data/table.awk | 2 +-
+ 2 files changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/data/english.awk b/data/english.awk
+index c5dc0aa2..8b32f3f2 100644
+--- a/data/english.awk
++++ b/data/english.awk
+@@ -5,9 +5,9 @@ BEGIN {
+ print "BEGIN TRANSACTION;"
+
+ # Create english table
+- print "CREATE TABLE IF NOT EXISTS \"english\" ( " \
+- "\"word\" TEXT NOT NULL PRIMARY KEY," \
+- "\"freq\" FLOAT NOT NULL DEFAULT(0)" \
++ print "CREATE TABLE IF NOT EXISTS 'english' ( " \
++ "'word' TEXT NOT NULL PRIMARY KEY," \
++ "'freq' FLOAT NOT NULL DEFAULT(0)" \
+ ");";
+
+ # Create desc table
+@@ -16,7 +16,7 @@ BEGIN {
+ }
+
+ # Insert data into english table
+- { printf "INSERT INTO english (word, freq) VALUES (\"%s\", %f);\n", $1, $2}
++ { printf "INSERT INTO english (word, freq) VALUES ('%s', %f);\n", $1, $2}
+
+ #quit sqlite3
+ END {
+diff --git a/data/table.awk b/data/table.awk
+index 700529cf..c097ec26 100644
+--- a/data/table.awk
++++ b/data/table.awk
+@@ -21,7 +21,7 @@ BEGIN {
+
+ # Insert data into phrases table
+ NF == 4 {
+- printf "INSERT INTO phrases (id, tabkeys, phrase) VALUES (%d, \"%s\", \"%s\");\n", id, $3, $1;
++ printf "INSERT INTO phrases (id, tabkeys, phrase) VALUES (%d, '%s', '%s');\n", id, $3, $1;
+ id++;
+ }
+
diff --git a/source/x/ibus-libpinyin/ibus-libpinyin.SlackBuild b/source/x/ibus-libpinyin/ibus-libpinyin.SlackBuild
index 2e9446ba2..bd0f8e45d 100755
--- a/source/x/ibus-libpinyin/ibus-libpinyin.SlackBuild
+++ b/source/x/ibus-libpinyin/ibus-libpinyin.SlackBuild
@@ -1,9 +1,7 @@
#!/bin/bash
-# Slackware build script for ibus-libpinyin
-
# Copyright 2017 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2017, 2020 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2017, 2020, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=ibus-libpinyin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -96,6 +94,8 @@ if [ ! -r configure ]; then
fi
fi
+cat $CWD/96042887815b4700c7cafa64cf88942af438ea98.patch | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \